org.h2.value

## Class ValueNull

- java.lang.Object
- - org.h2.value.Value
  - - org.h2.value.ValueNull

    public class ValueNull
    extends Value

Implementation of NULL. NULL is not a regular data type.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.h2.value.Value

`Value.ValueBlob, Value.ValueClob`

### Field Summary

Fields
`static ValueNull` `DELETED` This special instance is used as a marker for deleted entries in a map.
`static ValueNull` `INSTANCE` The main NULL instance.

### Fields inherited from class org.h2.value.Value

`ARRAY, BLOB, BOOLEAN, BYTE, BYTES, CLOB, DATE, DECIMAL, DOUBLE, ENUM, FLOAT, GEOMETRY, INT, JAVA_OBJECT, LONG, NULL, RESULT_SET, SHORT, STRING, STRING_FIXED, STRING_IGNORECASE, TIME, TIMESTAMP, TIMESTAMP_TZ, TYPE_COUNT, UNKNOWN, UUID`

### Method Summary

Methods
`protected int` `compareSecure(Value v, CompareMode mode)` Compare the value with another value of the same type.
`Value` `convertTo(int type)` Compare a value to the specified type.
`boolean` `equals(java.lang.Object other)` Check if the two values have the same hash code.
`java.math.BigDecimal` `getBigDecimal()`
`java.lang.Boolean` `getBoolean()`
`byte` `getByte()`
`byte[]` `getBytes()`
`java.sql.Date` `getDate()`
`int` `getDisplaySize()` Get the display size in characters.
`double` `getDouble()`
`float` `getFloat()`
`java.io.InputStream` `getInputStream()`
`int` `getInt()`
`long` `getLong()`
`java.lang.Object` `getObject()` Get the value as an object.
`long` `getPrecision()` Get the precision.
`java.io.Reader` `getReader()`
`short` `getShort()`
`java.lang.String` `getSQL()` Get the SQL expression for this value.
`java.lang.String` `getString()` Get the value as a string.
`java.sql.Time` `getTime()`
`java.sql.Timestamp` `getTimestamp()`
`int` `getType()` Get the value type.
`int` `hashCode()`
`void` `set(java.sql.PreparedStatement prep, int parameterIndex)` Set the value as a parameter in a prepared statement.

### Methods inherited from class org.h2.value.Value

`add, checkPrecision, clearCache, compareTo, compareTypeSafe, convertPrecision, convertScale, copy, copyToResult, copyToTemp, divide, getBytesNoCopy, getDataHandler, getHigherOrder, getMemory, getResultSet, getScale, getSignum, getSmall, getTableId, getTraceSQL, isLinkedToTable, modulus, multiply, negate, remove, subtract, throwUnsupportedExceptionForType, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final ValueNull INSTANCE

The main NULL instance.

#### DELETED

    public static final ValueNull DELETED

This special instance is used as a marker for deleted entries in a map. It should not be used anywhere else.

### Method Detail

#### getSQL

    public java.lang.String getSQL()

Description copied from class: `Value`
Get the SQL expression for this value.

Specified by:
  `getSQL` in class `Value`
Returns:
  the SQL expression

#### getType

    public int getType()

Description copied from class: `Value`
Get the value type.

Specified by:
  `getType` in class `Value`
Returns:
  the type

#### getString

    public java.lang.String getString()

Description copied from class: `Value`
Get the value as a string.

Specified by:
  `getString` in class `Value`
Returns:
  the string

#### getBoolean

    public java.lang.Boolean getBoolean()

Overrides:
  `getBoolean` in class `Value`

#### getDate

    public java.sql.Date getDate()

Overrides:
  `getDate` in class `Value`

#### getTime

    public java.sql.Time getTime()

Overrides:
  `getTime` in class `Value`

#### getTimestamp

    public java.sql.Timestamp getTimestamp()

Overrides:
  `getTimestamp` in class `Value`

#### getBytes

    public byte[] getBytes()

Overrides:
  `getBytes` in class `Value`

#### getByte

    public byte getByte()

Overrides:
  `getByte` in class `Value`

#### getShort

    public short getShort()

Overrides:
  `getShort` in class `Value`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal()

Overrides:
  `getBigDecimal` in class `Value`

#### getDouble

    public double getDouble()

Overrides:
  `getDouble` in class `Value`

#### getFloat

    public float getFloat()

Overrides:
  `getFloat` in class `Value`

#### getInt

    public int getInt()

Overrides:
  `getInt` in class `Value`

#### getLong

    public long getLong()

Overrides:
  `getLong` in class `Value`

#### getInputStream

    public java.io.InputStream getInputStream()

Overrides:
  `getInputStream` in class `Value`

#### getReader

    public java.io.Reader getReader()

Overrides:
  `getReader` in class `Value`

#### convertTo

    public Value convertTo(int type)

Description copied from class: `Value`
Compare a value to the specified type.

Overrides:
  `convertTo` in class `Value`
Parameters:
  `type` - the type of the returned value
Returns:
  the converted value

#### compareSecure

    protected int compareSecure(Value v,
                    CompareMode mode)

Description copied from class: `Value`
Compare the value with another value of the same type.

Specified by:
  `compareSecure` in class `Value`
Parameters:
  `v` - the other value
  `mode` - the compare mode
Returns:
  0 if both values are equal, -1 if the other value is smaller, and 1 otherwise

#### getPrecision

    public long getPrecision()

Description copied from class: `Value`
Get the precision.

Specified by:
  `getPrecision` in class `Value`
Returns:
  the precision

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `Value`

#### getObject

    public java.lang.Object getObject()

Description copied from class: `Value`
Get the value as an object.

Specified by:
  `getObject` in class `Value`
Returns:
  the object

#### set

    public void set(java.sql.PreparedStatement prep,
           int parameterIndex)
             throws java.sql.SQLException

Description copied from class: `Value`
Set the value as a parameter in a prepared statement.

Specified by:
  `set` in class `Value`
Parameters:
  `prep` - the prepared statement
  `parameterIndex` - the parameter index
Throws:
  `java.sql.SQLException`

#### getDisplaySize

    public int getDisplaySize()

Description copied from class: `Value`
Get the display size in characters.

Specified by:
  `getDisplaySize` in class `Value`
Returns:
  the display size

#### equals

    public boolean equals(java.lang.Object other)

Description copied from class: `Value`
Check if the two values have the same hash code. No data conversion is made; this method returns false if the other object is not of the same class. For some values, compareTo may return 0 even if equals return false. Example: ValueDecimal 0.0 and 0.00.

Specified by:
  `equals` in class `Value`
Parameters:
  `other` - the other value
Returns:
  true if they are equal